<mat-card class="card">
    <div class="card__spinner" *ngIf="loading">
        <mat-spinner diameter="40"></mat-spinner>
    </div>
    <div *ngIf="!loading">
        <div class="card__image">
            <div class="logo cursor-pointer" (click)="goToUrl(data.publicUrl)">
                <img src="assets/thingverseLogo.png" alt="Thingiverse logo" />
            </div>
            <img mat-card-image [src]="data.imgPath" alt="STL image">
        </div>
        
        <mat-card-content>
            <mat-list>
                <div mat-subheader>Project files:</div>
                <div class="files">
                    <div class="files__file" *ngFor="let file of files">
                        <div class="file__img">
                            <img [src]="file.img" />
                        </div>
                        <div class="file__name">
                            {{file.name}}
                        </div>

                        <div class="file__button--download" (click)="download(file.downloadUrl)">
                            <span class="material-icons">download</span>
                        </div>
                    </div>
                </div>
            </mat-list>
        </mat-card-content>
    </div>
</mat-card>